用户工具

站点工具


vhall_open:sdk集成前必要的准备工作

SDK集成前必要的准备工作

下载SDK与DEMO

开发环境要求

Pc操作系统:64window系统

JDK: 1.7以上

Android studio : 建议使用Android studio 2.0以上

Android: 4.0以上

备注: Android设备操作系统需要4.0以上, 需要访问手机硬件,暂不支持模拟器开发

添加依赖

工程直接依赖Module uilibs 即可

添加依赖

compile 'com.github.bumptech.glide:glide:3.7.0' // 用于加载PPT
compile('io.socket:socket.io-client:0.8.0') {//用于SDK网络连接
    exclude group: 'org.json', module: 'json'
}

权限及配置

<uses-permission android:name="android.permission.CAMERA" />
  <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
  <uses-permission android:name="android.permission.RECORD_AUDIO" />
  <uses-permission android:name="android.permission.RECORD_VIDEO" />
  <uses-permission android:name="android.permission.INTERNET" />
  <uses-permission android:name="android.permission.WRITE_SETTINGS" />
  <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
  <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
  <uses-permission android:name="android.permission.FLASHLIGHT" />
  <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
  <uses-feature android:name="android.hardware.camera" />
  <uses-feature android:name="android.hardware.camera.autofocus" />
vhall_open/sdk集成前必要的准备工作.txt · 最后更改: 2017/09/29 15:51 由 yan.gao